if ! pidof udevil 2>&1 > /dev/null
then
    (devmon 2>&1 > ~/.devmon.log &)
fi

export C_INCLUDE_PATH="$C_INCLUDE_PATH:$HOME/.local/include:/usr/local/bin"
export LIBRARY_PATH="$LIBRARY_PATH:$HOME/.local/lib:/usr/local/lib"
#export RUST_SRC_PATH="$(rustc --print sysroot)/lib/rustlib/src/rust/src"

if [ -d "$HOME/bin" ];then
    export PATH="$PATH:$HOME/bin"
fi

if [ -d "$HOME/.local/bin" ];then
    export PATH="$PATH:$HOME/.local/bin"
fi

if [ -d "$HOME/.cargo/bin" ];then
    export PATH="$PATH:$HOME/.cargo/bin"
fi

if [ -z "$SSH_AUTH_SOCK" ] ; then
  eval `ssh-agent -s`
  ssh-add
fi

if [ -z "$DISPLAY" ] && [ -n "$XDG_VTNR" ] && [ "$XDG_VTNR" -eq 1 ]; then
    if [ -f "${HOME}/.xinitrc" ]; then
        exec startx
    else
        exec XKB_DEFAULT_LAYOUT=fr XKB_DEFAULT_VARIANT=oss sway
    fi
fi

alias l='ls -F'
alias ll='ls -lhF'
alias la='ls -aF'
alias lla='ls -lhaF'
alias mpv='mpv --audio-pitch-correction=no --no-audio-display'
